use 5.020001;
use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    NAME              => 'LA::Tools',
    VERSION           => '0.1', # finds $VERSION, requires EU::MM from perl >= 5.5
    PREREQ_PM         => {
        'LWP::UserAgent' => undef,
        'JSON'           => undef,
        'Getopt::Long'   => undef,
        'Pod::Usage'     => undef,
    }, # e.g., Module::Name => 1.1
    ABSTRACT          => 'External Tools for LATMOS::Accounts', # retrieve abstract from module
    AUTHOR            => 'Olivier Thauvin <olivier.thauvin@latmos.ipsl.fr>',
    EXE_FILES         => [ qw(
        bin/rla-sshkey
    ) ],
	macro => {
		DESTRPMDIR          => '$(shell pwd)',
	},

    #LICENSE           => 'perl',
    #Value must be from legacy list of licenses here
    #http://search.cpan.org/perldoc?Module%3A%3ABuild%3A%3AAPI
);

package MY;

sub postamble {

<<EOF;

la-tools.spec: la-tools.spec.in Makefile
\tsed -e 's/\@VERSION@/\$(VERSION)/' < \$< > \$@

rpm: \$(DISTVNAME).tar.gz la-tools.spec
\tmkdir ./noarch || :
\trpmbuild -ba --clean\\
\t --define "_sourcedir `pwd`" \\
\t --define "_specdir `pwd`" \\
\t --define "_srcrpmdir \$(DESTRPMDIR)" \\
\t --define "_rpmdir \$(DESTRPMDIR)" \\
\t la-tools.spec

svnrpm: \$(DISTVNAME).tar.gz la-tools.spec
\tmkdir \$(DESTRPMDIR)/noarch || :
\trpmbuild -ba --clean\\
\t --define "_sourcedir `pwd`" \\
\t --define "_specdir `pwd`" \\
\t --define "_srcrpmdir \$(DESTRPMDIR)" \\
\t --define "_rpmdir \$(DESTRPMDIR)" \\
\t --define "svnrelease `LC_ALL=C svn info | grep '^Revision:' | sed 's/Revision: //'`" \\
\t la-tools.spec

EOF

}
